<?php
/** 
 * Converts each GET variable into a FUDI message. The selector is the name of the variable.
 * 
 * You don't need to create an instance of this 
 */
class Audio_PureData_HTTPReceive {
   /**
    * @var array Key = Pure Data selector (a string). key = callback to a PHP function.
    */
   var $_handlers;
   /** @static Get an array containing the messages 
     * @return array Messages. Selector => string 
     */
   function getMessages() {
	$arr = array();
		
	foreach ($_GET as $selector => $message) {
		$arr[$selector] = $message;
	}
	return $arr;
    }
    /** 
     * Registers a PHP function as a callback
     * @var string $selector PD symbol
     * @var callback $callback Function name or an array containing a reference to 
     * an object and the name of the function to call. This function will receive a
     * string. The argument will be the rest of the list as a string (for now). 
     */
    function addSelectors($selector, &$callback) {
        $this->_handlers[$selector] = &$callback;
    }

    function Audio_PureData_HTTPReceive() {
        $this->_handlers = array();
    }
    /** 
     * Starts the callbacks for every list this page gets.
     */
    function executeSelectors() {
        foreach ($this->_handlers as $selector => $val) {
		$selector($val);
	}
    }
}
