#!/usr/bin/php -f
<?php
/**
 * @file
 * Simple PHP receive example.
 * Receives data form PD to PHP 
 * 1) Start this PHP script on the UNIX command line
 *       chmod u+x demo-server.php
 *       ./demo-server.php 
 * 2) Open the demo-server-sender.pd patch with Pure Data.
 * 3) Send data using the Pure Data patch and see. PHP answers.
 */
require_once('Audio/PureData/NetReceive.php');

/**
 * Example callback function
 * 
 * Asnwers back the value to Pure Data
 * 
 * All callback functions that you create must match this signature
 * @param $serverHandler object Audio_PureData_ServerHandler
 * @param $arr array The FUDI message, as an array containing usually at least one string.
 */
function example_function(&$serverHandler, $arr) {
  //global $netSend;
  echo "PHP receives $arr[0] \n";
  // Later, we will be able to answer to PD.
  //$serverHandler->send("example_value " . $arr[0]);
}





/** host, receive port, send port */
$netReceive =& new Audio_PureData_NetReceive('localhost', 3005, 3006);

/** 
 * Adding a callback function 
 * The 2nd argument must be a variable 
 */
$callback = 'example_function';
$netReceive->addSelector('example', $callback);

/** Starts the server */
$netReceive->start();

/** That's all ! */
?>
